KINIT(1)

NAME
kinit, kauth - acquire initial tickets

SYNOPSIS
kinit [-4] [--524init] [--afslog] [-c cachename] [--cache=cachename] [-c cachename] [--cache=cachename] [-f] [--forwardable] [-t keytabname] [--keytab=keytabname] [-l seconds] [--lifetime=seconds] [-p] [--proxiable] [-R] [--renew] [--renewable] [-r seconds] [--renewable-life=seconds] [-S principal] [--server=principal] [-s seconds] [--start-time=seconds] [-k] [--use-keytab] [-v] [--validate] [-e] [--enctypes=enctypes] [--fcache-version=version] [--no-addresses] [--version] [--help] [principal]

DESCRIPTION
kinit is used to authenticate to the kerberos server as principal, or if none is given, a system generated default, and acquire a ticket granting ticket that can later be used to obtain tickets for other services. Supported options:

    -c cachename --cache=cachename The credentials cache to put the acquired ticket in, if other than default.

    -f, --forwardable Get ticket that can be forwarded to another host.

    -t keytabname, --keytab=keytabname Don't ask for a password, but instead get the key from the specified keytab.

    -l seconds, --lifetime=seconds Specifies the lifetime of the ticket.

    -p, --proxiable Request tickets with the proxiable flag set.

    -R, --renew Try to renew ticket. The ticket must have the ‘renewable’ flag set, and must not be expired.

--renewable
    The same as --renewable-life, with an infinite time.

    -r seconds, --renewable-life=seconds The max renewable ticket life.

    -S principal, --server=principal Get a ticket for a service other than krbtgt/LOCAL.REALM.

    -s seconds, --start-time=seconds Start time of ticket, if other than the current time.

    -k, --use-keytab The same as --keytab, but with the default keytab name (normally FILE:/etc/krb5.keytab).

    -v, --validate Try to validate an invalid ticket.

    -e, --enctypes=enctypes Request tickets with this particular enctype.

    --fcache-version=version Create a credentials cache of version version.

    --no-addresses Request a ticket with no addresses.
The following options are only available if kinit has been compiled with support for Kerberos 4. The kauth program is identical to kinit, but has these options enabled by default.

    -4, --524init Try to convert the obtained krbtgt to a version 4 compatible ticket. It will store this ticket in the default Kerberos 4 ticket file.

--afslog
    Gets AFS tickets, converts them to version 4 format, and stores them in the kernel. Only useful if you have AFS.

ENVIRONMENT

KRB5CCNAME
    Specifies the default cache file.

KRB5_CONFIG
    The directory where the krb5.conf can be found, default is /etc.

KRBTKFILE
    Specifies the Kerberos 4 ticket file to store version 4 tickets in.

SEE ALSO
krb5.conf(5), klist(1), kdestroy(1)